Commits
David B. Evans authored 49004b44323
1 1 | |
2 2 | # Run this to generate all the initial makefiles, etc. |
3 + | test -n "$srcdir" || srcdir=`dirname "$0"` |
4 + | test -n "$srcdir" || srcdir=. |
3 5 | |
4 - | PKG_NAME="gcr" |
5 - | USE_GNOME2_MACROS=1 |
6 - | REQUIRED_AUTOMAKE_VERSION=1.11 |
6 + | olddir=`pwd` |
7 7 | |
8 - | srcdir=`dirname $0` |
9 - | test -z "$srcdir" && srcdir=. |
8 + | cd $srcdir |
10 9 | |
11 - | ( test -f $srcdir/configure.ac ) || { |
12 - | echo -n "**Error**: Directory "\`$srcdir\'" does not look like the" |
13 - | echo " top-level $PKG_NAME directory" |
14 - | exit 1 |
10 + | (test -f configure.ac) || { |
11 + | echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***" |
12 + | exit 1 |
15 13 | } |
16 14 | |
17 - | which gnome-autogen.sh || { |
18 - | echo "You need to install gnome-common from the GNOME Git" |
19 - | exit 1 |
20 - | } |
15 + | PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac` |
16 + | |
17 + | if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then |
18 + | echo "*** WARNING: I am going to run \`configure' with no arguments." >&2 |
19 + | echo "*** If you wish to pass any to it, please specify them on the" >&2 |
20 + | echo "*** \`$0\' command line." >&2 |
21 + | echo "" >&2 |
22 + | fi |
23 + | |
24 + | aclocal --install || exit 1 |
25 + | gtkdocize --copy || exit 1 |
26 + | intltoolize --force --copy --automake || exit 1 |
27 + | autoreconf --verbose --force --install || exit 1 |
28 + | |
29 + | cd $olddir |
30 + | if [ "$NOCONFIGURE" = "" ]; then |
31 + | $srcdir/configure "$@" || exit 1 |
32 + | |
33 + | if [ "$1" = "--help" ]; then |
34 + | exit 0 |
35 + | else |
36 + | echo "Now type \`make\' to compile $PKG_NAME" || exit 1 |
37 + | fi |
38 + | else |
39 + | echo "Skipping configure process." |
40 + | fi |
21 41 | |
22 - | . gnome-autogen.sh |
42 + | # Put a redirect makefile here |
43 + | if [ ! -f $srcdir/Makefile ]; then |
44 + | cat $srcdir/build/Makefile.redirect > $srcdir/Makefile |
45 + | printf "\nREDIRECT = %s\n" "$(realpath $olddir)" >> $srcdir/Makefile |
46 + | fi |